| Flutter Impeller |

Public Member Functions | List of all members
impeller::PathComponentEndDirectionVisitor Struct Reference

`#include <path_component.h>`

## Public Member Functions
std::optional< Vector2 > | operator() (const LinearPathComponent *component)
std::optional< Vector2 > | operator() (const QuadraticPathComponent *component)
std::optional< Vector2 > | operator() (const CubicPathComponent *component)
std::optional< Vector2 > | operator() (std::monostate monostate)

## Detailed Description

Definition at line 179 of file path_component.h.

## Member Function Documentation

## ◆ operator()() [1/4]

std::optional< Vector2 > impeller::PathComponentEndDirectionVisitor::operator() | ( | const CubicPathComponent * | component | ) |

Definition at line 416 of file path_component.cc.

417 {
418 if (!component) {
419 return std::nullopt;
420 }
421 return component->GetEndDirection();
422 }

References impeller::CubicPathComponent::GetEndDirection().

## ◆ operator()() [2/4]

std::optional< Vector2 > impeller::PathComponentEndDirectionVisitor::operator() | ( | const LinearPathComponent * | component | ) |

Definition at line 400 of file path_component.cc.

401 {
402 if (!component) {
403 return std::nullopt;
404 }
405 return component->GetEndDirection();
406 }

References impeller::LinearPathComponent::GetEndDirection().

## ◆ operator()() [3/4]

std::optional< Vector2 > impeller::PathComponentEndDirectionVisitor::operator() | ( | const QuadraticPathComponent * | component | ) |

Definition at line 408 of file path_component.cc.

409 {
410 if (!component) {
411 return std::nullopt;
412 }
413 return component->GetEndDirection();
414 }

References impeller::QuadraticPathComponent::GetEndDirection().

## ◆ operator()() [4/4]

std::optional<Vector2> impeller::PathComponentEndDirectionVisitor::operator() | ( | std::monostate | monostate | ) |
| inline

Definition at line 183 of file path_component.h.

183 {
184 return std::nullopt;
185 }

The documentation for this struct was generated from the following files:

- impeller/geometry/path_component.h
- impeller/geometry/path_component.cc